#include <bits/stdc++.h>
using namespace std;
long long T,ucenici,bananice,grupe,suma;
int main(){
    cin>>T;
    while(T--){
        cin>>ucenici>>bananice>>grupe;
        suma=((ucenici/grupe)*((ucenici/grupe)+1))/2*grupe+(ucenici%grupe)*((ucenici/grupe)+1);
        if(suma<=bananice){
            cout<<"Tak"<<endl;
        }
        else{
            cout<<"Nie"<<endl;
        }
    }
    return 0;
}